PROGRAM FlexTest;

USES FlexTdb,
     Cfg;

VAR Lp,P1,P2,L : WORD;
    Buffer     : ARRAY[1..4000] OF BYTE;

BEGIN
     Config.SystemDir:='';
     IF (NOT FlexTdb_Open) THEN
        Exit;

     FOR Lp:=1 TO 4000 DO
         Buffer[Lp]:=Lp AND 255;

     FOR Lp:=1 TO 500 DO
     BEGIN
          IF (Random (5) = 1) THEN
             FlexTdb_Write ($0103,$0406,NILPos,Buffer)
          ELSE BEGIN
               FlexTdb_Write (Random ($FFFF),1+Random (3999),NILPos,Buffer);
          END;
     END;

     FlexTdb_Close;
END.
